#
# Conditional build:
%bcond_without	tests	# unit tests

%define 	module		repomd
%define 	egg_name	repomd
%define		pypi_name	repomd
Summary:	Library for reading dnf/yum repositories
Summary(pl.UTF-8):	Biblioteka do odczytu repozytoriów dnf/yum
Name:		python3-%{pypi_name}
Version:	0.2.1
Release:	8
License:	MIT
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/r/repomd/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	3979bcf59644ead9fb3324fe36d183ed
URL:		https://github.com/carlwgeorge/repomd
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools >= 1:38.6.0
%if %{with tests}
BuildRequires:	python3-lxml
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides an object-oriented interface to get information
out of dnf/yum repositories.

%description -l pl.UTF-8
Ta biblioteka udostępnia obiektowo zorientowany interfejs do
pobierania informacji z repozytoriów dnf/yum.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_cov,flake8 \
%{__python3} -m pytest -o pythonpath="$PWD/build-3/lib" tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{py3_sitescriptdir}/%{module}.py
%{py3_sitescriptdir}/__pycache__/%{module}.cpython-*.py[co]
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%changelog
* Sun May 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-repomd.git;a=log;h=master

* Sun May 04 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 0fbc08f
- Rel 8

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 1357fd3
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 35241a9
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> d75c827
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 9a40186
- rebuild with python 3.10

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 32a53ca
- pl, cleanup

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> ad23eee
- setuptools epoch

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 2cbf649
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> f8fb632
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Aug 18 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 280d581
- up to 0.2.1

* Sat Feb 02 2019 Elan Ruusamäe <glen@pld-linux.org> c117e02
- new, version 0.1.0

